const express = require("express");
const FlightCentralrouter = express.Router();

// Import routes
const flightStatusRoute = require("./flightStatusRoute");
const lowFareRoute = require("./LowFareRoute");
const autoCompleteController = require("../controllers/autoCompleteController.js");
const universalRecordRoutes = require("./universalRecordRoutes");
const airMerchRoutes = require("./airMerchRoutes");
const airPricingRoutes = require("./airPricing.routes");
const airCreateRoutes = require("./airCreateRoute");
const ticketingRoutes = require("./ticketingRoute");
const seatMapRoute = require("./seatMapRoute");
const flightFilterRoute = require("./flightFilterRoute");
const flightVerify = require("./flightVerifyRoute");
const retrieveDocument  = require("./airRetrieveDocumentRoute");
const AirPricing  = require("./airPricingUpdated");
// const airCreatelcc  = require("./airCreatelcc.js");
const AirCreateReservationupdated=require("./airCreateReservationUpdatedRoute.js");
const airCancelSegmentRoute    = require("./airCancelSegmentRoute");
const reservationDivideRoute = require("./reservationDivideRoutes");

const UpdatedLowFareSearch = require("./flights");
const JsonSearch = require("./lowFareSearchJson.js")




const unifiedFlightRoute = require("./unifiedFlightRoute");



// Mount routes
FlightCentralrouter.use("/flight-status", flightStatusRoute);
//FlightCentralrouter.use("/low-fare", lowFareRoute);
FlightCentralrouter.use("/lowfare", lowFareRoute);  
FlightCentralrouter.get("/autocomplete", autoCompleteController);
FlightCentralrouter.use("/api/retrieve", universalRecordRoutes);
FlightCentralrouter.use("/air-merch", airMerchRoutes);
FlightCentralrouter.use("/airpricing", airPricingRoutes);
FlightCentralrouter.use("/air-create", airCreateRoutes);
FlightCentralrouter.use("/ticketing", ticketingRoutes);
FlightCentralrouter.use("/seatmap", seatMapRoute);
FlightCentralrouter.use("/search", flightFilterRoute);
FlightCentralrouter.use("/verify", flightVerify);
FlightCentralrouter.use("/retrieve-document", retrieveDocument);
FlightCentralrouter.use("/cancel-segment",airCancelSegmentRoute);
FlightCentralrouter.use("/split-pnr",reservationDivideRoute);

// FlightCentralrouter.use("/aircreatelcc",airCreatelcc);
FlightCentralrouter.use("/airpricing-updated", AirPricing);


FlightCentralrouter.use("/create-reservation", AirCreateReservationupdated);


FlightCentralrouter.use("/updatedLowFareSearch", UpdatedLowFareSearch);
FlightCentralrouter.use("/search-json", JsonSearch);


FlightCentralrouter.use("/unified-search", unifiedFlightRoute);









module.exports = FlightCentralrouter;